View Issue Details

IDProjectCategoryView StatusLast Update
0015024MediaMonkey 5Main Panelpublic2020-11-30 11:56
ReporterLudek Assigned To 
PriorityimmediateSeveritymajorReproducibilitysometimes
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015024: Album+Tracks view is very slow to load in some location subnodes
DescriptionI have a user DB where tracklist
Entire Library > Location > Google Play Music
has 44K tracks

When the view for the tracks is changed from 'List View' to 'Album + Tracks' then the tracklist is loading very slow and takes minutes just for hundred of entries.
In the debug log I see many "IAlbum already hashed and created again" messages.

Debug log and the testing user's DB is uploaded to FTP

The issue doesn't seem happen in other views (like Music > All Tracks), it is somehow specific to [Music > Location > Google Play Music]
TagsNo tags attached.
Fixed in build2119

Relationships

related to 0017148 closedLudek "List (by Album)" is slow in playlist nodes 

Activities

Ludek

2018-08-10 15:35

developer   ~0050902

Last edited: 2018-08-10 15:37

View 2 revisions

Fixed in 2119

peke

2018-08-15 13:29

developer   ~0050926

Verified 2120

peke

2020-07-07 01:03

developer   ~0058789

Closing as further improvements are made to GPM speed which makes this superseded in re testing in 2259.